Subject: Re: [PATCH 2/2] drivers/ata: export some static functions in libata-core.c

From: Arnd Bergmann <[email-masked]>
Date: Thu, 11 Jan 2007 14:05:56 +0100

On Thursday 11 January 2007 10:30, Akira Iguchi wrote:
> >Exporting new symbols needs some explanation here about why they
> >should now be global for ata_scc while the existing drivers
> >did not need them. Since the patch otherwise only moves stuff
> >around as needed, I assume it's good.
> 
> I thought it was better to use common functions as far as possible.
> But if it is preferable to copy them in ata_scc.c, I will do so.

To clarify my words here:

It is definitely better to use common functions or to modify the common
code rather than copy it.

This particular patch (2/2) only moves code around, so what I meant is
that I'm confident that it does not introduce bugs.

	Arnd <><